package com.atlassian.bitbucket.scm;

import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Exception that is thrown when a command fails.
 */
public class CommandFailedException extends CommandException {

    public CommandFailedException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public CommandFailedException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
